Gravv DOCS
Docs Agent Get Started
API Reference Create card application

Create card application

Initiate a new card application request for a customer.

POST/v1/cards/applications/new

Headers

Required for POST requests. Reuse the key only when retrying the same operation with an identical payload.

Request Body

ID of the customer creating the card application

ID of the account to link the card application to

Customer's annual income or renumeration

Estimated monthly limit the customer expects to use

IP address of the request origin

Request Examples

{
"customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
"account_id": "2d52eb6d-4fac-44db-a225-d0e6aa13b0e3",
"annual_remuneration": 120000,
"estimated_monthly_limit": 200,
"ip_address": "12.23.31.23"
}

Responses

Status Description
200 Card application request successful

200 response

Status message returned after application request

ID of the card application

Current status of the card (card lifecycle status)

Possible values: active, freeze, blocked, inactive

{
"data": {
"message": "Card application request successful",
"id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
"status": "active"
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC